For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of invoices
      • POSTCreate a one-off invoice or credit invoice
      • POSTCreate a preview invoice
      • POSTSearch invoices
      • GETGet an invoice by ID
      • PATCHUpdate an invoice
      • POSTAdd a line to an invoice
      • POSTAdd a line to an invoice
      • PUTReplaces an one-off invoice line in an invoice based on the invoice line id
      • DELDelete an invoice line by ID
      • GETDeprecated. Instead use /payments to get the payments for the invoice
      • GETGet the payments made for the invoice
      • POSTDelete a line from an invoice
      • POSTSend an invoice via email.
      • POSTExport an invoice to an ERP.
      • GETGet the invoice as a PDF
      • GETGet the invoice as a UBL 2.1
      • POSTCreate a credit invoice for the provided invoice resource ID
      • POSTRefresh the invoice and get it
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • GETGet the eInvoice that was submitted to the Tax Authority
      • PATCHPatch the eInvoice that was submitted to the Tax Authority
      • POSTArchive an invoice
      • POSTCancel invoice dunning actions
      • POSTPay the invoice using customer stored payment method
      • POSTRefund a credit invoice via the original payment
  • Event API
LoginSandbox
Transaction APIInvoices

Create a one-off invoice or credit invoice

POST
/v:version/invoices
POST
/v:version/invoices
$curl -X POST https://api.solvimon.com/v1/invoices \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "ONE_OFF",
> "customer_id": "cust_dwDeeN0tYSDSHBBbeN1E",
> "due_date": "2026-05-20T13:30:29Z",
> "pricing_amount_type": "EXCLUDING_TAX",
> "payment_acceptor_ids": [
> "paya_KwDeeN0tYaaXozAreN1a"
> ]
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "invoice_number": "string",
5 "purchase_order_number": "string",
6 "platform_id": "string",
7 "customer_id": "string",
8 "customer_reference": "string",
9 "sales_tax_percentage": "string",
10 "customer": {
11 "object_type": "string",
12 "id": "string",
13 "created_at": "string",
14 "parent_customer_id": "string",
15 "parent_customer_ids": [
16 "string"
17 ],
18 "reference": "string",
19 "status": "DRAFT",
20 "timezone": "string",
21 "type": "ORGANIZATION",
22 "email": "string",
23 "notification_preferences": [
24 {
25 "type": "INVOICE",
26 "channels": [
27 {
28 "type": "EMAIL",
29 "enabled": true
30 }
31 ]
32 }
33 ],
34 "locale": "string",
35 "individual": {
36 "name": {
37 "first_name": "string",
38 "last_name": "string",
39 "infix": "string"
40 },
41 "residential_address": {
42 "line1": "string",
43 "line2": "string",
44 "city": "string",
45 "postal_code": "string",
46 "state": "string",
47 "country": "AD"
48 }
49 },
50 "organization": {
51 "legal_name": "string",
52 "tax_id": "string",
53 "tax_ids": [
54 {
55 "id": "string",
56 "type": "GENERIC_TAX_ID",
57 "display_name": "string",
58 "tax_id_validation_result": {
59 "id": "string",
60 "validation_date": "string",
61 "source": "string",
62 "valid": "VALID",
63 "message": "string"
64 }
65 }
66 ],
67 "registration_number": "string",
68 "tax_exempt": true,
69 "tax_exempt_note": "string",
70 "registered_address": {
71 "line1": "string",
72 "line2": "string",
73 "city": "string",
74 "postal_code": "string",
75 "state": "string",
76 "country": "AD"
77 },
78 "tax_registrations": [
79 {
80 "id": "string",
81 "description": "string",
82 "tax_id": "string",
83 "tax_ids": [
84 {
85 "id": "string",
86 "type": "GENERIC_TAX_ID",
87 "display_name": "string",
88 "tax_id_validation_result": {
89 "id": "string",
90 "validation_date": "string",
91 "source": "string",
92 "valid": "VALID",
93 "message": "string"
94 }
95 }
96 ],
97 "registration_number": "string",
98 "registered_address": {
99 "line1": "string",
100 "line2": "string",
101 "city": "string",
102 "postal_code": "string",
103 "state": "string",
104 "country": "AD"
105 }
106 }
107 ]
108 },
109 "custom_fields": [
110 {
111 "id": "string",
112 "reference": "string",
113 "value": "string",
114 "values": [
115 "string"
116 ],
117 "integration_details": {
118 "id": "string",
119 "reference": "string",
120 "payment_gateway_variant": "ADYEN",
121 "adyen": {
122 "recurring_detail_reference": "string"
123 },
124 "stripe": {
125 "payment_method_id": "string"
126 }
127 }
128 }
129 ],
130 "processing_only": true,
131 "pricing_plan_subscription_selector": {
132 "data": [
133 {
134 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
135 "value": "string"
136 }
137 ],
138 "rules": [
139 {
140 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
141 "type": "EQUALS"
142 }
143 ],
144 "filters": [
145 {
146 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
147 "type": "EQUALS",
148 "value": "string"
149 }
150 ],
151 "fallback": "LATEST"
152 },
153 "linked_integrations": [
154 {
155 "id": "string",
156 "link_details": [
157 {
158 "url": "string",
159 "custom_field_name": "string"
160 }
161 ]
162 }
163 ],
164 "roles": [
165 "DEFAULT"
166 ],
167 "seller_details": {
168 "default_billing_entity_id": "string"
169 }
170 },
171 "billing_entity": {
172 "object_type": "string",
173 "id": "string",
174 "created_at": "string",
175 "reference": "string",
176 "status": "string",
177 "timezone": "string",
178 "legal_name": "string",
179 "tax_id": "string",
180 "tax_ids": [
181 {
182 "id": "string",
183 "type": "GENERIC_TAX_ID",
184 "display_name": "string",
185 "tax_id_validation_result": {
186 "id": "string",
187 "validation_date": "string",
188 "source": "string",
189 "valid": "VALID",
190 "message": "string"
191 }
192 }
193 ],
194 "registration_number": "string",
195 "registered_address": {
196 "line1": "string",
197 "line2": "string",
198 "city": "string",
199 "postal_code": "string",
200 "state": "string",
201 "country": "AD"
202 },
203 "email": "string",
204 "tax_settings": {
205 "apply_local_vat_for_missing_tax_id": true
206 },
207 "tax_registrations": [
208 {
209 "id": "string",
210 "description": "string",
211 "tax_id": "string",
212 "tax_ids": [
213 {
214 "id": "string",
215 "type": "GENERIC_TAX_ID",
216 "display_name": "string",
217 "tax_id_validation_result": {
218 "id": "string",
219 "validation_date": "string",
220 "source": "string",
221 "valid": "VALID",
222 "message": "string"
223 }
224 }
225 ],
226 "registration_number": "string",
227 "registered_address": {
228 "line1": "string",
229 "line2": "string",
230 "city": "string",
231 "postal_code": "string",
232 "state": "string",
233 "country": "AD"
234 }
235 }
236 ],
237 "custom_fields": [
238 {
239 "id": "string",
240 "reference": "string",
241 "value": "string",
242 "values": [
243 "string"
244 ],
245 "integration_details": {
246 "id": "string",
247 "reference": "string",
248 "payment_gateway_variant": "ADYEN",
249 "adyen": {
250 "recurring_detail_reference": "string"
251 },
252 "stripe": {
253 "payment_method_id": "string"
254 }
255 }
256 }
257 ],
258 "default_customer_country_selector": [
259 "AD"
260 ],
261 "default_billing_currency_selector": [
262 "AED"
263 ],
264 "linked_integrations": [
265 {
266 "id": "string",
267 "link_details": [
268 {
269 "url": "string",
270 "custom_field_name": "string"
271 }
272 ]
273 }
274 ]
275 },
276 "status": "string",
277 "on_hold": true,
278 "type": "STANDARD",
279 "created_at": "string",
280 "updated_at": "string",
281 "invoice_date": "2024-01-15T09:30:00Z",
282 "delivery_date": "string",
283 "due_date": "2024-01-15T09:30:00Z",
284 "billing_period_date": "string",
285 "billing_currency": "string",
286 "invoice_amount_including_tax": {
287 "quantity": "string",
288 "currency": "AED"
289 },
290 "open_invoice_amount": {
291 "quantity": "string",
292 "currency": "AED"
293 },
294 "closed_invoice_amount": {
295 "quantity": "string",
296 "currency": "AED"
297 },
298 "paid_invoice_amount": {
299 "quantity": "string",
300 "currency": "AED"
301 },
302 "timezone": "string",
303 "billing_period": {
304 "type": "DAY",
305 "value": 1
306 },
307 "pricing_plan_subscription_ids": [
308 "string"
309 ],
310 "pricing_amount_type": "EXCLUDING_TAX",
311 "periods": [
312 {
313 "period_order": 1,
314 "amount_excluding_tax": {
315 "quantity": "string",
316 "currency": "AED"
317 },
318 "amount_including_tax": {
319 "quantity": "string",
320 "currency": "AED"
321 },
322 "billing_period": {
323 "type": "DAY",
324 "value": 1
325 },
326 "start_at": "string",
327 "end_at": "string",
328 "tax_categories": [
329 {
330 "base_amount": {
331 "quantity": "string",
332 "currency": "AED"
333 },
334 "tax_amount": {
335 "quantity": "string",
336 "currency": "AED"
337 },
338 "total_amount": {
339 "quantity": "string",
340 "currency": "AED"
341 },
342 "category": "string",
343 "local_amounts": {
344 "base_amount": {
345 "quantity": "string",
346 "currency": "AED"
347 },
348 "tax_amount": {
349 "quantity": "string",
350 "currency": "AED"
351 },
352 "total_amount": {
353 "quantity": "string",
354 "currency": "AED"
355 },
356 "used_exchange_rate": {
357 "currency": "string",
358 "base_currency": "string",
359 "rate_timestamp": "string",
360 "rate": "string",
361 "source": "string"
362 },
363 "display": true
364 },
365 "notes": [
366 "string"
367 ],
368 "rates": [
369 {
370 "name": "string",
371 "percentage": "string",
372 "tax_amount": {
373 "quantity": "string",
374 "currency": "AED"
375 }
376 }
377 ],
378 "percentage": "string",
379 "name": "string"
380 }
381 ],
382 "groups": [
383 {
384 "group_order": 1,
385 "amount_excluding_tax": {
386 "quantity": "string",
387 "currency": "AED"
388 },
389 "amount_including_tax": {
390 "quantity": "string",
391 "currency": "AED"
392 },
393 "billing_period": {
394 "type": "DAY",
395 "value": 1
396 },
397 "start_at": "string",
398 "end_at": "string",
399 "type": "string",
400 "product_category": {
401 "object_type": "string",
402 "id": "string",
403 "name": "string",
404 "reference": "string",
405 "description": "string",
406 "tax_category": "STANDARD",
407 "display_order": 1,
408 "customer_id": "string"
409 },
410 "products": [
411 {
412 "object_type": "string",
413 "id": "string",
414 "category_id": "string",
415 "category": {
416 "object_type": "string",
417 "id": "string",
418 "name": "string",
419 "reference": "string",
420 "description": "string",
421 "tax_category": "STANDARD",
422 "display_order": 1,
423 "customer_id": "string"
424 },
425 "parent_product_id": "string",
426 "name": "string",
427 "reference": "string",
428 "description": "string",
429 "status": "DRAFT",
430 "product_type": "DEFAULT",
431 "tax_category": "STANDARD",
432 "features": [
433 {
434 "id": "string",
435 "reference": "string"
436 }
437 ],
438 "custom_fields": [
439 {
440 "id": "string",
441 "reference": "string",
442 "value": "string",
443 "values": [
444 "string"
445 ],
446 "integration_details": {
447 "id": "string",
448 "reference": "string",
449 "payment_gateway_variant": "ADYEN",
450 "adyen": {
451 "recurring_detail_reference": "string"
452 },
453 "stripe": {
454 "payment_method_id": "string"
455 }
456 }
457 }
458 ],
459 "display_order": 1,
460 "linked_integrations": [
461 {
462 "id": "string",
463 "link_details": [
464 {
465 "url": "string",
466 "custom_field_name": "string"
467 }
468 ]
469 }
470 ],
471 "billing_entity_id": "string",
472 "customer_id": "string"
473 }
474 ],
475 "pricing": {
476 "id": "string",
477 "name": "string"
478 },
479 "description": "string",
480 "pricing_plan_subscription_id": "string",
481 "pricing_plan_schedule_id": "string",
482 "forwarded_from_customer_id": "string",
483 "tax_categories": [
484 {
485 "base_amount": {
486 "quantity": "string",
487 "currency": "AED"
488 },
489 "tax_amount": {
490 "quantity": "string",
491 "currency": "AED"
492 },
493 "total_amount": {
494 "quantity": "string",
495 "currency": "AED"
496 },
497 "category": "string",
498 "local_amounts": {
499 "base_amount": {
500 "quantity": "string",
501 "currency": "AED"
502 },
503 "tax_amount": {
504 "quantity": "string",
505 "currency": "AED"
506 },
507 "total_amount": {
508 "quantity": "string",
509 "currency": "AED"
510 },
511 "used_exchange_rate": {
512 "currency": "string",
513 "base_currency": "string",
514 "rate_timestamp": "string",
515 "rate": "string",
516 "source": "string"
517 },
518 "display": true
519 },
520 "notes": [
521 "string"
522 ],
523 "rates": [
524 {
525 "name": "string",
526 "percentage": "string",
527 "tax_amount": {
528 "quantity": "string",
529 "currency": "AED"
530 }
531 }
532 ],
533 "percentage": "string",
534 "name": "string"
535 }
536 ],
537 "lines": [
538 {
539 "id": "string",
540 "line_order": 1,
541 "description": "string",
542 "pricing_item_id": "string",
543 "pricing_item_config_id": "string",
544 "product_items": [
545 {
546 "object_type": "string",
547 "id": "string",
548 "product_id": "string",
549 "product": {
550 "object_type": "string",
551 "id": "string",
552 "category_id": "string",
553 "category": {
554 "object_type": "string",
555 "id": "string",
556 "name": "string",
557 "reference": "string",
558 "description": "string",
559 "tax_category": "STANDARD",
560 "display_order": 1,
561 "customer_id": "string"
562 },
563 "parent_product_id": "string",
564 "name": "string",
565 "reference": "string",
566 "description": "string",
567 "status": "DRAFT",
568 "product_type": "DEFAULT",
569 "tax_category": "STANDARD",
570 "features": [
571 {
572 "id": "string",
573 "reference": "string"
574 }
575 ],
576 "custom_fields": [
577 {
578 "id": "string",
579 "reference": "string",
580 "value": "string",
581 "values": [
582 "string"
583 ],
584 "integration_details": {
585 "id": "string",
586 "reference": "string",
587 "payment_gateway_variant": "ADYEN",
588 "adyen": {
589 "recurring_detail_reference": "string"
590 },
591 "stripe": {
592 "payment_method_id": "string"
593 }
594 }
595 }
596 ],
597 "display_order": 1,
598 "linked_integrations": [
599 {
600 "id": "string",
601 "link_details": [
602 {
603 "url": "string",
604 "custom_field_name": "string"
605 }
606 ]
607 }
608 ],
609 "billing_entity_id": "string",
610 "customer_id": "string"
611 },
612 "name": "string",
613 "status": "DRAFT",
614 "reference": "string",
615 "description": "string",
616 "type": "REVENUE",
617 "model_type": "USAGE_BASED",
618 "usage_based": {
619 "meter_value_calculation_id": "string",
620 "meter_value_calculation": {
621 "object_type": "string",
622 "id": "string",
623 "reference": "string",
624 "name": "string",
625 "description": "string",
626 "calculation_type": "SUM",
627 "persist": true,
628 "meter_id": "string",
629 "meter": {
630 "object_type": "string",
631 "id": "string",
632 "reference": "string",
633 "name": "string",
634 "description": "string",
635 "status": "DRAFT",
636 "meter_values": [
637 {
638 "id": "string",
639 "object": {
640 "object_type": "string",
641 "id": "string",
642 "reference": "string",
643 "name": "string",
644 "description": "string",
645 "status": "DRAFT",
646 "type": "NUMBER"
647 },
648 "required": true
649 }
650 ],
651 "meter_properties": [
652 {
653 "id": "string",
654 "object": {
655 "object_type": "string",
656 "id": "string",
657 "reference": "string",
658 "name": "string",
659 "description": "string",
660 "status": "DRAFT",
661 "type": "NUMBER",
662 "enum_values": [
663 "string"
664 ]
665 },
666 "required": true
667 }
668 ]
669 },
670 "meter_value_id": "string",
671 "meter_value": {
672 "object_type": "string",
673 "id": "string",
674 "reference": "string",
675 "name": "string",
676 "description": "string",
677 "status": "DRAFT",
678 "type": "NUMBER"
679 },
680 "meter_property_id": "string",
681 "meter_property": {
682 "object_type": "string",
683 "id": "string",
684 "reference": "string",
685 "name": "string",
686 "description": "string",
687 "status": "DRAFT",
688 "type": "NUMBER",
689 "enum_values": [
690 "string"
691 ]
692 }
693 },
694 "tiering_meter_value_calculation_id": "string",
695 "tiering_meter_value_calculation": {
696 "object_type": "string",
697 "id": "string",
698 "reference": "string",
699 "name": "string",
700 "description": "string",
701 "calculation_type": "SUM",
702 "persist": true,
703 "meter_id": "string",
704 "meter": {
705 "object_type": "string",
706 "id": "string",
707 "reference": "string",
708 "name": "string",
709 "description": "string",
710 "status": "DRAFT",
711 "meter_values": [
712 {
713 "id": "string",
714 "object": {
715 "object_type": "string",
716 "id": "string",
717 "reference": "string",
718 "name": "string",
719 "description": "string",
720 "status": "DRAFT",
721 "type": "NUMBER"
722 },
723 "required": true
724 }
725 ],
726 "meter_properties": [
727 {
728 "id": "string",
729 "object": {
730 "object_type": "string",
731 "id": "string",
732 "reference": "string",
733 "name": "string",
734 "description": "string",
735 "status": "DRAFT",
736 "type": "NUMBER",
737 "enum_values": [
738 "string"
739 ]
740 },
741 "required": true
742 }
743 ]
744 },
745 "meter_value_id": "string",
746 "meter_value": {
747 "object_type": "string",
748 "id": "string",
749 "reference": "string",
750 "name": "string",
751 "description": "string",
752 "status": "DRAFT",
753 "type": "NUMBER"
754 },
755 "meter_property_id": "string",
756 "meter_property": {
757 "object_type": "string",
758 "id": "string",
759 "reference": "string",
760 "name": "string",
761 "description": "string",
762 "status": "DRAFT",
763 "type": "NUMBER",
764 "enum_values": [
765 "string"
766 ]
767 }
768 },
769 "report_meter_value_calculation_ids": [
770 "string"
771 ],
772 "conditions": {
773 "name": "string",
774 "expression": {
775 "operator": "AND",
776 "operands": [
777 {
778 "meter_property": {
779 "id": "string",
780 "reference": "string",
781 "meter_property": {
782 "object_type": "string",
783 "id": "string",
784 "reference": "string",
785 "name": "string",
786 "description": "string",
787 "status": "DRAFT",
788 "type": "NUMBER",
789 "enum_values": [
790 "string"
791 ]
792 },
793 "value": "string",
794 "values": [
795 "string"
796 ],
797 "comparator": "EQUALS"
798 },
799 "expression": {}
800 }
801 ]
802 },
803 "meter_properties": [
804 {
805 "id": "string",
806 "reference": "string",
807 "meter_property": {
808 "object_type": "string",
809 "id": "string",
810 "reference": "string",
811 "name": "string",
812 "description": "string",
813 "status": "DRAFT",
814 "type": "NUMBER",
815 "enum_values": [
816 "string"
817 ]
818 },
819 "value": "string",
820 "values": [
821 "string"
822 ],
823 "comparator": "EQUALS"
824 }
825 ]
826 }
827 },
828 "credits": {
829 "credit_type_id": "string",
830 "credit_type": {
831 "object_type": "string",
832 "id": "string",
833 "reference": "string",
834 "status": "DRAFT",
835 "name": "string",
836 "description": "string",
837 "unit_name": {
838 "singular": "string",
839 "plural": "string"
840 },
841 "created_at": "string",
842 "updated_at": "string"
843 }
844 },
845 "meter_value_calculation": {
846 "object_type": "string",
847 "id": "string",
848 "reference": "string",
849 "name": "string",
850 "description": "string",
851 "calculation_type": "SUM",
852 "persist": true,
853 "meter_id": "string",
854 "meter": {
855 "object_type": "string",
856 "id": "string",
857 "reference": "string",
858 "name": "string",
859 "description": "string",
860 "status": "DRAFT",
861 "meter_values": [
862 {
863 "id": "string",
864 "object": {
865 "object_type": "string",
866 "id": "string",
867 "reference": "string",
868 "name": "string",
869 "description": "string",
870 "status": "DRAFT",
871 "type": "NUMBER"
872 },
873 "required": true
874 }
875 ],
876 "meter_properties": [
877 {
878 "id": "string",
879 "object": {
880 "object_type": "string",
881 "id": "string",
882 "reference": "string",
883 "name": "string",
884 "description": "string",
885 "status": "DRAFT",
886 "type": "NUMBER",
887 "enum_values": [
888 "string"
889 ]
890 },
891 "required": true
892 }
893 ]
894 },
895 "meter_value_id": "string",
896 "meter_value": {
897 "object_type": "string",
898 "id": "string",
899 "reference": "string",
900 "name": "string",
901 "description": "string",
902 "status": "DRAFT",
903 "type": "NUMBER"
904 },
905 "meter_property_id": "string",
906 "meter_property": {
907 "object_type": "string",
908 "id": "string",
909 "reference": "string",
910 "name": "string",
911 "description": "string",
912 "status": "DRAFT",
913 "type": "NUMBER",
914 "enum_values": [
915 "string"
916 ]
917 }
918 },
919 "tax_category": "STANDARD",
920 "display_order": 1,
921 "unit_name": {
922 "singular": "string",
923 "plural": "string"
924 },
925 "custom_fields": [
926 {
927 "id": "string",
928 "reference": "string",
929 "value": "string",
930 "values": [
931 "string"
932 ],
933 "integration_details": {
934 "id": "string",
935 "reference": "string",
936 "payment_gateway_variant": "ADYEN",
937 "adyen": {
938 "recurring_detail_reference": "string"
939 },
940 "stripe": {
941 "payment_method_id": "string"
942 }
943 }
944 }
945 ],
946 "customer_id": "string",
947 "meter_value_calculation_id": "string",
948 "report_meter_value_calculation_ids": [
949 "string"
950 ]
951 }
952 ],
953 "type": "string",
954 "pricing_type": "string",
955 "commitment_type": "string",
956 "discount_type": "string",
957 "coupon_data": {
958 "coupon_id": "string",
959 "promotion_code_id": "string"
960 },
961 "tax_categories": [
962 {
963 "base_amount": {
964 "quantity": "string",
965 "currency": "AED"
966 },
967 "tax_amount": {
968 "quantity": "string",
969 "currency": "AED"
970 },
971 "total_amount": {
972 "quantity": "string",
973 "currency": "AED"
974 },
975 "category": "string",
976 "local_amounts": {
977 "base_amount": {
978 "quantity": "string",
979 "currency": "AED"
980 },
981 "tax_amount": {
982 "quantity": "string",
983 "currency": "AED"
984 },
985 "total_amount": {
986 "quantity": "string",
987 "currency": "AED"
988 },
989 "used_exchange_rate": {
990 "currency": "string",
991 "base_currency": "string",
992 "rate_timestamp": "string",
993 "rate": "string",
994 "source": "string"
995 },
996 "display": true
997 },
998 "notes": [
999 "string"
1000 ],
1001 "rates": [
1002 {
1003 "name": "string",
1004 "percentage": "string",
1005 "tax_amount": {
1006 "quantity": "string",
1007 "currency": "AED"
1008 }
1009 }
1010 ],
1011 "percentage": "string",
1012 "name": "string"
1013 }
1014 ],
1015 "amount_excluding_tax": {
1016 "quantity": "string",
1017 "currency": "AED"
1018 },
1019 "amount_including_tax": {
1020 "quantity": "string",
1021 "currency": "AED"
1022 },
1023 "conditions": {
1024 "name": "string",
1025 "expression": {
1026 "operator": "AND",
1027 "operands": [
1028 {
1029 "meter_property": {
1030 "id": "string",
1031 "reference": "string",
1032 "meter_property": {
1033 "object_type": "string",
1034 "id": "string",
1035 "reference": "string",
1036 "name": "string",
1037 "description": "string",
1038 "status": "DRAFT",
1039 "type": "NUMBER",
1040 "enum_values": [
1041 "string"
1042 ]
1043 },
1044 "value": "string",
1045 "values": [
1046 "string"
1047 ],
1048 "comparator": "EQUALS"
1049 },
1050 "expression": {}
1051 }
1052 ]
1053 },
1054 "meter_properties": [
1055 {
1056 "id": "string",
1057 "reference": "string",
1058 "meter_property": {
1059 "object_type": "string",
1060 "id": "string",
1061 "reference": "string",
1062 "name": "string",
1063 "description": "string",
1064 "status": "DRAFT",
1065 "type": "NUMBER",
1066 "enum_values": [
1067 "string"
1068 ]
1069 },
1070 "value": "string",
1071 "values": [
1072 "string"
1073 ],
1074 "comparator": "EQUALS"
1075 }
1076 ]
1077 },
1078 "meter_value": {
1079 "reference": "string",
1080 "type": "string",
1081 "number": "string",
1082 "amount": {
1083 "quantity": "string",
1084 "currency": "AED"
1085 }
1086 },
1087 "details": {
1088 "amount": {
1089 "quantity": "string",
1090 "currency": "AED"
1091 },
1092 "pricing_currency": "string",
1093 "pricing_amount": {
1094 "quantity": "string",
1095 "currency": "AED"
1096 },
1097 "conversion": {
1098 "credits": {
1099 "quantity": "string",
1100 "credit_type_id": "string"
1101 },
1102 "convert_from_meter_value_id": "string"
1103 },
1104 "band": {
1105 "amount": {
1106 "quantity": "string",
1107 "currency": "AED"
1108 },
1109 "percentage": "string",
1110 "credits": {
1111 "quantity": "string",
1112 "credit_type_id": "string"
1113 },
1114 "maximum_amount": {
1115 "quantity": "string",
1116 "currency": "AED"
1117 },
1118 "minimum_amount": {
1119 "quantity": "string",
1120 "currency": "AED"
1121 },
1122 "maximum_number": "string",
1123 "minimum_number": "string",
1124 "block_size": {
1125 "number": "string",
1126 "amount": {
1127 "quantity": "string",
1128 "currency": "AED"
1129 },
1130 "count": "string"
1131 },
1132 "tier_lower_bound": {
1133 "number": "string",
1134 "amount": {
1135 "quantity": "string",
1136 "currency": "AED"
1137 },
1138 "count": "string"
1139 },
1140 "tier_top_bound": {
1141 "number": "string",
1142 "amount": {
1143 "quantity": "string",
1144 "currency": "AED"
1145 },
1146 "count": "string"
1147 },
1148 "volume_share": "string",
1149 "included_volume": {
1150 "number": "string",
1151 "amount": {
1152 "quantity": "string",
1153 "currency": "AED"
1154 },
1155 "count": "string"
1156 }
1157 },
1158 "meter_value": {
1159 "id": "string",
1160 "reference": "string",
1161 "number": "string",
1162 "amount": {
1163 "quantity": "string",
1164 "currency": "AED"
1165 },
1166 "count": "string",
1167 "ratio": "string",
1168 "type": "NUMBER"
1169 },
1170 "tiering_meter_value": {
1171 "id": "string",
1172 "reference": "string",
1173 "number": "string",
1174 "amount": {
1175 "quantity": "string",
1176 "currency": "AED"
1177 },
1178 "count": "string",
1179 "ratio": "string",
1180 "type": "NUMBER"
1181 },
1182 "price_bound": "string",
1183 "meter_values": [
1184 {
1185 "number": "string",
1186 "amount": {
1187 "quantity": "string",
1188 "currency": "AED"
1189 },
1190 "amount_in_pricing_currency": {
1191 "quantity": "string",
1192 "currency": "AED"
1193 },
1194 "count": 1,
1195 "ratio": "string"
1196 }
1197 ],
1198 "report_meter_values": [
1199 {
1200 "meter_value_calculation_id": "string",
1201 "number": "string",
1202 "amount": {
1203 "quantity": "string",
1204 "currency": "AED"
1205 },
1206 "amount_in_pricing_currency": {
1207 "quantity": "string",
1208 "currency": "AED"
1209 },
1210 "count": "string",
1211 "ratio": "string"
1212 }
1213 ],
1214 "description": "string",
1215 "used_exchange_rates": [
1216 {
1217 "currency": "string",
1218 "base_currency": "string",
1219 "rate_timestamp": "string",
1220 "rate": "string",
1221 "source": "string"
1222 }
1223 ],
1224 "included_volume_details": {
1225 "included_volume": {
1226 "id": "string",
1227 "reference": "string",
1228 "number": "string",
1229 "amount": {
1230 "quantity": "string",
1231 "currency": "AED"
1232 },
1233 "count": "string",
1234 "ratio": "string",
1235 "type": "NUMBER"
1236 },
1237 "available_included_volume": {
1238 "id": "string",
1239 "reference": "string",
1240 "number": "string",
1241 "amount": {
1242 "quantity": "string",
1243 "currency": "AED"
1244 },
1245 "count": "string",
1246 "ratio": "string",
1247 "type": "NUMBER"
1248 },
1249 "period_volume": {
1250 "id": "string",
1251 "reference": "string",
1252 "number": "string",
1253 "amount": {
1254 "quantity": "string",
1255 "currency": "AED"
1256 },
1257 "count": "string",
1258 "ratio": "string",
1259 "type": "NUMBER"
1260 }
1261 },
1262 "wallet_balance_details": {
1263 "used_wallet_credits": {
1264 "quantity": "string",
1265 "credit_type_id": "string"
1266 },
1267 "left_wallet_credits": {
1268 "quantity": "string",
1269 "credit_type_id": "string"
1270 },
1271 "available_wallet_credits": {
1272 "quantity": "string",
1273 "credit_type_id": "string"
1274 }
1275 },
1276 "split_pricing": {
1277 "meter_properties": [
1278 {
1279 "id": "string",
1280 "reference": "string",
1281 "value": "string",
1282 "meter_property": {
1283 "object_type": "string",
1284 "id": "string",
1285 "reference": "string",
1286 "name": "string",
1287 "description": "string",
1288 "status": "DRAFT",
1289 "type": "NUMBER",
1290 "enum_values": [
1291 "string"
1292 ]
1293 }
1294 }
1295 ]
1296 },
1297 "meter_value_share_of_total": "string",
1298 "meter_value_share_of_processing_only_customer_total": "string"
1299 },
1300 "sub_lines": [
1301 {
1302 "sub_line_order": 1,
1303 "details": {
1304 "amount": {
1305 "quantity": "string",
1306 "currency": "AED"
1307 },
1308 "pricing_currency": "string",
1309 "pricing_amount": {
1310 "quantity": "string",
1311 "currency": "AED"
1312 },
1313 "conversion": {
1314 "credits": {
1315 "quantity": "string",
1316 "credit_type_id": "string"
1317 },
1318 "convert_from_meter_value_id": "string"
1319 },
1320 "band": {
1321 "amount": {
1322 "quantity": "string",
1323 "currency": "AED"
1324 },
1325 "percentage": "string",
1326 "credits": {
1327 "quantity": "string",
1328 "credit_type_id": "string"
1329 },
1330 "maximum_amount": {
1331 "quantity": "string",
1332 "currency": "AED"
1333 },
1334 "minimum_amount": {
1335 "quantity": "string",
1336 "currency": "AED"
1337 },
1338 "maximum_number": "string",
1339 "minimum_number": "string",
1340 "block_size": {
1341 "number": "string",
1342 "amount": {
1343 "quantity": "string",
1344 "currency": "AED"
1345 },
1346 "count": "string"
1347 },
1348 "tier_lower_bound": {
1349 "number": "string",
1350 "amount": {
1351 "quantity": "string",
1352 "currency": "AED"
1353 },
1354 "count": "string"
1355 },
1356 "tier_top_bound": {
1357 "number": "string",
1358 "amount": {
1359 "quantity": "string",
1360 "currency": "AED"
1361 },
1362 "count": "string"
1363 },
1364 "volume_share": "string",
1365 "included_volume": {
1366 "number": "string",
1367 "amount": {
1368 "quantity": "string",
1369 "currency": "AED"
1370 },
1371 "count": "string"
1372 }
1373 },
1374 "meter_value": {
1375 "id": "string",
1376 "reference": "string",
1377 "number": "string",
1378 "amount": {
1379 "quantity": "string",
1380 "currency": "AED"
1381 },
1382 "count": "string",
1383 "ratio": "string",
1384 "type": "NUMBER"
1385 },
1386 "tiering_meter_value": {
1387 "id": "string",
1388 "reference": "string",
1389 "number": "string",
1390 "amount": {
1391 "quantity": "string",
1392 "currency": "AED"
1393 },
1394 "count": "string",
1395 "ratio": "string",
1396 "type": "NUMBER"
1397 },
1398 "price_bound": "string",
1399 "meter_values": [
1400 {
1401 "number": "string",
1402 "amount": {
1403 "quantity": "string",
1404 "currency": "AED"
1405 },
1406 "amount_in_pricing_currency": {
1407 "quantity": "string",
1408 "currency": "AED"
1409 },
1410 "count": 1,
1411 "ratio": "string"
1412 }
1413 ],
1414 "report_meter_values": [
1415 {
1416 "meter_value_calculation_id": "string",
1417 "number": "string",
1418 "amount": {
1419 "quantity": "string",
1420 "currency": "AED"
1421 },
1422 "amount_in_pricing_currency": {
1423 "quantity": "string",
1424 "currency": "AED"
1425 },
1426 "count": "string",
1427 "ratio": "string"
1428 }
1429 ],
1430 "description": "string",
1431 "used_exchange_rates": [
1432 {
1433 "currency": "string",
1434 "base_currency": "string",
1435 "rate_timestamp": "string",
1436 "rate": "string",
1437 "source": "string"
1438 }
1439 ],
1440 "included_volume_details": {
1441 "included_volume": {
1442 "id": "string",
1443 "reference": "string",
1444 "number": "string",
1445 "amount": {
1446 "quantity": "string",
1447 "currency": "AED"
1448 },
1449 "count": "string",
1450 "ratio": "string",
1451 "type": "NUMBER"
1452 },
1453 "available_included_volume": {
1454 "id": "string",
1455 "reference": "string",
1456 "number": "string",
1457 "amount": {
1458 "quantity": "string",
1459 "currency": "AED"
1460 },
1461 "count": "string",
1462 "ratio": "string",
1463 "type": "NUMBER"
1464 },
1465 "period_volume": {
1466 "id": "string",
1467 "reference": "string",
1468 "number": "string",
1469 "amount": {
1470 "quantity": "string",
1471 "currency": "AED"
1472 },
1473 "count": "string",
1474 "ratio": "string",
1475 "type": "NUMBER"
1476 }
1477 },
1478 "wallet_balance_details": {
1479 "used_wallet_credits": {
1480 "quantity": "string",
1481 "credit_type_id": "string"
1482 },
1483 "left_wallet_credits": {
1484 "quantity": "string",
1485 "credit_type_id": "string"
1486 },
1487 "available_wallet_credits": {
1488 "quantity": "string",
1489 "credit_type_id": "string"
1490 }
1491 },
1492 "split_pricing": {
1493 "meter_properties": [
1494 {
1495 "id": "string",
1496 "reference": "string",
1497 "value": "string",
1498 "meter_property": {
1499 "object_type": "string",
1500 "id": "string",
1501 "reference": "string",
1502 "name": "string",
1503 "description": "string",
1504 "status": "DRAFT",
1505 "type": "NUMBER",
1506 "enum_values": [
1507 "string"
1508 ]
1509 }
1510 }
1511 ]
1512 },
1513 "meter_value_share_of_total": "string",
1514 "meter_value_share_of_processing_only_customer_total": "string"
1515 },
1516 "description": "string",
1517 "processing_only_customer_id": "string",
1518 "type": "USAGE_BASED_CONVERSION",
1519 "usage_based_conversion": {
1520 "conditions": {
1521 "name": "string",
1522 "expression": {
1523 "operator": "AND",
1524 "operands": [
1525 {
1526 "meter_property": {
1527 "id": "string",
1528 "reference": "string",
1529 "meter_property": {
1530 "object_type": "string",
1531 "id": "string",
1532 "reference": "string",
1533 "name": "string",
1534 "description": "string",
1535 "status": "DRAFT",
1536 "type": "NUMBER",
1537 "enum_values": [
1538 "string"
1539 ]
1540 },
1541 "value": "string",
1542 "values": [
1543 "string"
1544 ],
1545 "comparator": "EQUALS"
1546 },
1547 "expression": {}
1548 }
1549 ]
1550 },
1551 "meter_properties": [
1552 {
1553 "id": "string",
1554 "reference": "string",
1555 "meter_property": {
1556 "object_type": "string",
1557 "id": "string",
1558 "reference": "string",
1559 "name": "string",
1560 "description": "string",
1561 "status": "DRAFT",
1562 "type": "NUMBER",
1563 "enum_values": [
1564 "string"
1565 ]
1566 },
1567 "value": "string",
1568 "values": [
1569 "string"
1570 ],
1571 "comparator": "EQUALS"
1572 }
1573 ]
1574 }
1575 },
1576 "processing_only_customer_resource_id": "string"
1577 }
1578 ]
1579 }
1580 ],
1581 "billing_customer_id": "string"
1582 }
1583 ]
1584 }
1585 ],
1586 "closed_periods": [
1587 {
1588 "period_order": 1,
1589 "amount_excluding_tax": {
1590 "quantity": "string",
1591 "currency": "AED"
1592 },
1593 "amount_including_tax": {
1594 "quantity": "string",
1595 "currency": "AED"
1596 },
1597 "billing_period": {
1598 "type": "DAY",
1599 "value": 1
1600 },
1601 "start_at": "string",
1602 "end_at": "string",
1603 "tax_categories": [
1604 {
1605 "base_amount": {
1606 "quantity": "string",
1607 "currency": "AED"
1608 },
1609 "tax_amount": {
1610 "quantity": "string",
1611 "currency": "AED"
1612 },
1613 "total_amount": {
1614 "quantity": "string",
1615 "currency": "AED"
1616 },
1617 "category": "string",
1618 "local_amounts": {
1619 "base_amount": {
1620 "quantity": "string",
1621 "currency": "AED"
1622 },
1623 "tax_amount": {
1624 "quantity": "string",
1625 "currency": "AED"
1626 },
1627 "total_amount": {
1628 "quantity": "string",
1629 "currency": "AED"
1630 },
1631 "used_exchange_rate": {
1632 "currency": "string",
1633 "base_currency": "string",
1634 "rate_timestamp": "string",
1635 "rate": "string",
1636 "source": "string"
1637 },
1638 "display": true
1639 },
1640 "notes": [
1641 "string"
1642 ],
1643 "rates": [
1644 {
1645 "name": "string",
1646 "percentage": "string",
1647 "tax_amount": {
1648 "quantity": "string",
1649 "currency": "AED"
1650 }
1651 }
1652 ],
1653 "percentage": "string",
1654 "name": "string"
1655 }
1656 ],
1657 "groups": [
1658 {
1659 "group_order": 1,
1660 "amount_excluding_tax": {
1661 "quantity": "string",
1662 "currency": "AED"
1663 },
1664 "amount_including_tax": {
1665 "quantity": "string",
1666 "currency": "AED"
1667 },
1668 "billing_period": {
1669 "type": "DAY",
1670 "value": 1
1671 },
1672 "start_at": "string",
1673 "end_at": "string",
1674 "type": "string",
1675 "product_category": {
1676 "object_type": "string",
1677 "id": "string",
1678 "name": "string",
1679 "reference": "string",
1680 "description": "string",
1681 "tax_category": "STANDARD",
1682 "display_order": 1,
1683 "customer_id": "string"
1684 },
1685 "products": [
1686 {
1687 "object_type": "string",
1688 "id": "string",
1689 "category_id": "string",
1690 "category": {
1691 "object_type": "string",
1692 "id": "string",
1693 "name": "string",
1694 "reference": "string",
1695 "description": "string",
1696 "tax_category": "STANDARD",
1697 "display_order": 1,
1698 "customer_id": "string"
1699 },
1700 "parent_product_id": "string",
1701 "name": "string",
1702 "reference": "string",
1703 "description": "string",
1704 "status": "DRAFT",
1705 "product_type": "DEFAULT",
1706 "tax_category": "STANDARD",
1707 "features": [
1708 {
1709 "id": "string",
1710 "reference": "string"
1711 }
1712 ],
1713 "custom_fields": [
1714 {
1715 "id": "string",
1716 "reference": "string",
1717 "value": "string",
1718 "values": [
1719 "string"
1720 ],
1721 "integration_details": {
1722 "id": "string",
1723 "reference": "string",
1724 "payment_gateway_variant": "ADYEN",
1725 "adyen": {
1726 "recurring_detail_reference": "string"
1727 },
1728 "stripe": {
1729 "payment_method_id": "string"
1730 }
1731 }
1732 }
1733 ],
1734 "display_order": 1,
1735 "linked_integrations": [
1736 {
1737 "id": "string",
1738 "link_details": [
1739 {
1740 "url": "string",
1741 "custom_field_name": "string"
1742 }
1743 ]
1744 }
1745 ],
1746 "billing_entity_id": "string",
1747 "customer_id": "string"
1748 }
1749 ],
1750 "pricing": {
1751 "id": "string",
1752 "name": "string"
1753 },
1754 "description": "string",
1755 "pricing_plan_subscription_id": "string",
1756 "pricing_plan_schedule_id": "string",
1757 "forwarded_from_customer_id": "string",
1758 "tax_categories": [
1759 {
1760 "base_amount": {
1761 "quantity": "string",
1762 "currency": "AED"
1763 },
1764 "tax_amount": {
1765 "quantity": "string",
1766 "currency": "AED"
1767 },
1768 "total_amount": {
1769 "quantity": "string",
1770 "currency": "AED"
1771 },
1772 "category": "string",
1773 "local_amounts": {
1774 "base_amount": {
1775 "quantity": "string",
1776 "currency": "AED"
1777 },
1778 "tax_amount": {
1779 "quantity": "string",
1780 "currency": "AED"
1781 },
1782 "total_amount": {
1783 "quantity": "string",
1784 "currency": "AED"
1785 },
1786 "used_exchange_rate": {
1787 "currency": "string",
1788 "base_currency": "string",
1789 "rate_timestamp": "string",
1790 "rate": "string",
1791 "source": "string"
1792 },
1793 "display": true
1794 },
1795 "notes": [
1796 "string"
1797 ],
1798 "rates": [
1799 {
1800 "name": "string",
1801 "percentage": "string",
1802 "tax_amount": {
1803 "quantity": "string",
1804 "currency": "AED"
1805 }
1806 }
1807 ],
1808 "percentage": "string",
1809 "name": "string"
1810 }
1811 ],
1812 "lines": [
1813 {
1814 "id": "string",
1815 "line_order": 1,
1816 "description": "string",
1817 "pricing_item_id": "string",
1818 "pricing_item_config_id": "string",
1819 "product_items": [
1820 {
1821 "object_type": "string",
1822 "id": "string",
1823 "product_id": "string",
1824 "product": {
1825 "object_type": "string",
1826 "id": "string",
1827 "category_id": "string",
1828 "category": {
1829 "object_type": "string",
1830 "id": "string",
1831 "name": "string",
1832 "reference": "string",
1833 "description": "string",
1834 "tax_category": "STANDARD",
1835 "display_order": 1,
1836 "customer_id": "string"
1837 },
1838 "parent_product_id": "string",
1839 "name": "string",
1840 "reference": "string",
1841 "description": "string",
1842 "status": "DRAFT",
1843 "product_type": "DEFAULT",
1844 "tax_category": "STANDARD",
1845 "features": [
1846 {
1847 "id": "string",
1848 "reference": "string"
1849 }
1850 ],
1851 "custom_fields": [
1852 {
1853 "id": "string",
1854 "reference": "string",
1855 "value": "string",
1856 "values": [
1857 "string"
1858 ],
1859 "integration_details": {
1860 "id": "string",
1861 "reference": "string",
1862 "payment_gateway_variant": "ADYEN",
1863 "adyen": {
1864 "recurring_detail_reference": "string"
1865 },
1866 "stripe": {
1867 "payment_method_id": "string"
1868 }
1869 }
1870 }
1871 ],
1872 "display_order": 1,
1873 "linked_integrations": [
1874 {
1875 "id": "string",
1876 "link_details": [
1877 {
1878 "url": "string",
1879 "custom_field_name": "string"
1880 }
1881 ]
1882 }
1883 ],
1884 "billing_entity_id": "string",
1885 "customer_id": "string"
1886 },
1887 "name": "string",
1888 "status": "DRAFT",
1889 "reference": "string",
1890 "description": "string",
1891 "type": "REVENUE",
1892 "model_type": "USAGE_BASED",
1893 "usage_based": {
1894 "meter_value_calculation_id": "string",
1895 "meter_value_calculation": {
1896 "object_type": "string",
1897 "id": "string",
1898 "reference": "string",
1899 "name": "string",
1900 "description": "string",
1901 "calculation_type": "SUM",
1902 "persist": true,
1903 "meter_id": "string",
1904 "meter": {
1905 "object_type": "string",
1906 "id": "string",
1907 "reference": "string",
1908 "name": "string",
1909 "description": "string",
1910 "status": "DRAFT",
1911 "meter_values": [
1912 {
1913 "id": "string",
1914 "object": {
1915 "object_type": "string",
1916 "id": "string",
1917 "reference": "string",
1918 "name": "string",
1919 "description": "string",
1920 "status": "DRAFT",
1921 "type": "NUMBER"
1922 },
1923 "required": true
1924 }
1925 ],
1926 "meter_properties": [
1927 {
1928 "id": "string",
1929 "object": {
1930 "object_type": "string",
1931 "id": "string",
1932 "reference": "string",
1933 "name": "string",
1934 "description": "string",
1935 "status": "DRAFT",
1936 "type": "NUMBER",
1937 "enum_values": [
1938 "string"
1939 ]
1940 },
1941 "required": true
1942 }
1943 ]
1944 },
1945 "meter_value_id": "string",
1946 "meter_value": {
1947 "object_type": "string",
1948 "id": "string",
1949 "reference": "string",
1950 "name": "string",
1951 "description": "string",
1952 "status": "DRAFT",
1953 "type": "NUMBER"
1954 },
1955 "meter_property_id": "string",
1956 "meter_property": {
1957 "object_type": "string",
1958 "id": "string",
1959 "reference": "string",
1960 "name": "string",
1961 "description": "string",
1962 "status": "DRAFT",
1963 "type": "NUMBER",
1964 "enum_values": [
1965 "string"
1966 ]
1967 }
1968 },
1969 "tiering_meter_value_calculation_id": "string",
1970 "tiering_meter_value_calculation": {
1971 "object_type": "string",
1972 "id": "string",
1973 "reference": "string",
1974 "name": "string",
1975 "description": "string",
1976 "calculation_type": "SUM",
1977 "persist": true,
1978 "meter_id": "string",
1979 "meter": {
1980 "object_type": "string",
1981 "id": "string",
1982 "reference": "string",
1983 "name": "string",
1984 "description": "string",
1985 "status": "DRAFT",
1986 "meter_values": [
1987 {
1988 "id": "string",
1989 "object": {
1990 "object_type": "string",
1991 "id": "string",
1992 "reference": "string",
1993 "name": "string",
1994 "description": "string",
1995 "status": "DRAFT",
1996 "type": "NUMBER"
1997 },
1998 "required": true
1999 }
2000 ],
2001 "meter_properties": [
2002 {
2003 "id": "string",
2004 "object": {
2005 "object_type": "string",
2006 "id": "string",
2007 "reference": "string",
2008 "name": "string",
2009 "description": "string",
2010 "status": "DRAFT",
2011 "type": "NUMBER",
2012 "enum_values": [
2013 "string"
2014 ]
2015 },
2016 "required": true
2017 }
2018 ]
2019 },
2020 "meter_value_id": "string",
2021 "meter_value": {
2022 "object_type": "string",
2023 "id": "string",
2024 "reference": "string",
2025 "name": "string",
2026 "description": "string",
2027 "status": "DRAFT",
2028 "type": "NUMBER"
2029 },
2030 "meter_property_id": "string",
2031 "meter_property": {
2032 "object_type": "string",
2033 "id": "string",
2034 "reference": "string",
2035 "name": "string",
2036 "description": "string",
2037 "status": "DRAFT",
2038 "type": "NUMBER",
2039 "enum_values": [
2040 "string"
2041 ]
2042 }
2043 },
2044 "report_meter_value_calculation_ids": [
2045 "string"
2046 ],
2047 "conditions": {
2048 "name": "string",
2049 "expression": {
2050 "operator": "AND",
2051 "operands": [
2052 {
2053 "meter_property": {
2054 "id": "string",
2055 "reference": "string",
2056 "meter_property": {
2057 "object_type": "string",
2058 "id": "string",
2059 "reference": "string",
2060 "name": "string",
2061 "description": "string",
2062 "status": "DRAFT",
2063 "type": "NUMBER",
2064 "enum_values": [
2065 "string"
2066 ]
2067 },
2068 "value": "string",
2069 "values": [
2070 "string"
2071 ],
2072 "comparator": "EQUALS"
2073 },
2074 "expression": {}
2075 }
2076 ]
2077 },
2078 "meter_properties": [
2079 {
2080 "id": "string",
2081 "reference": "string",
2082 "meter_property": {
2083 "object_type": "string",
2084 "id": "string",
2085 "reference": "string",
2086 "name": "string",
2087 "description": "string",
2088 "status": "DRAFT",
2089 "type": "NUMBER",
2090 "enum_values": [
2091 "string"
2092 ]
2093 },
2094 "value": "string",
2095 "values": [
2096 "string"
2097 ],
2098 "comparator": "EQUALS"
2099 }
2100 ]
2101 }
2102 },
2103 "credits": {
2104 "credit_type_id": "string",
2105 "credit_type": {
2106 "object_type": "string",
2107 "id": "string",
2108 "reference": "string",
2109 "status": "DRAFT",
2110 "name": "string",
2111 "description": "string",
2112 "unit_name": {
2113 "singular": "string",
2114 "plural": "string"
2115 },
2116 "created_at": "string",
2117 "updated_at": "string"
2118 }
2119 },
2120 "meter_value_calculation": {
2121 "object_type": "string",
2122 "id": "string",
2123 "reference": "string",
2124 "name": "string",
2125 "description": "string",
2126 "calculation_type": "SUM",
2127 "persist": true,
2128 "meter_id": "string",
2129 "meter": {
2130 "object_type": "string",
2131 "id": "string",
2132 "reference": "string",
2133 "name": "string",
2134 "description": "string",
2135 "status": "DRAFT",
2136 "meter_values": [
2137 {
2138 "id": "string",
2139 "object": {
2140 "object_type": "string",
2141 "id": "string",
2142 "reference": "string",
2143 "name": "string",
2144 "description": "string",
2145 "status": "DRAFT",
2146 "type": "NUMBER"
2147 },
2148 "required": true
2149 }
2150 ],
2151 "meter_properties": [
2152 {
2153 "id": "string",
2154 "object": {
2155 "object_type": "string",
2156 "id": "string",
2157 "reference": "string",
2158 "name": "string",
2159 "description": "string",
2160 "status": "DRAFT",
2161 "type": "NUMBER",
2162 "enum_values": [
2163 "string"
2164 ]
2165 },
2166 "required": true
2167 }
2168 ]
2169 },
2170 "meter_value_id": "string",
2171 "meter_value": {
2172 "object_type": "string",
2173 "id": "string",
2174 "reference": "string",
2175 "name": "string",
2176 "description": "string",
2177 "status": "DRAFT",
2178 "type": "NUMBER"
2179 },
2180 "meter_property_id": "string",
2181 "meter_property": {
2182 "object_type": "string",
2183 "id": "string",
2184 "reference": "string",
2185 "name": "string",
2186 "description": "string",
2187 "status": "DRAFT",
2188 "type": "NUMBER",
2189 "enum_values": [
2190 "string"
2191 ]
2192 }
2193 },
2194 "tax_category": "STANDARD",
2195 "display_order": 1,
2196 "unit_name": {
2197 "singular": "string",
2198 "plural": "string"
2199 },
2200 "custom_fields": [
2201 {
2202 "id": "string",
2203 "reference": "string",
2204 "value": "string",
2205 "values": [
2206 "string"
2207 ],
2208 "integration_details": {
2209 "id": "string",
2210 "reference": "string",
2211 "payment_gateway_variant": "ADYEN",
2212 "adyen": {
2213 "recurring_detail_reference": "string"
2214 },
2215 "stripe": {
2216 "payment_method_id": "string"
2217 }
2218 }
2219 }
2220 ],
2221 "customer_id": "string",
2222 "meter_value_calculation_id": "string",
2223 "report_meter_value_calculation_ids": [
2224 "string"
2225 ]
2226 }
2227 ],
2228 "type": "string",
2229 "pricing_type": "string",
2230 "commitment_type": "string",
2231 "discount_type": "string",
2232 "coupon_data": {
2233 "coupon_id": "string",
2234 "promotion_code_id": "string"
2235 },
2236 "tax_categories": [
2237 {
2238 "base_amount": {
2239 "quantity": "string",
2240 "currency": "AED"
2241 },
2242 "tax_amount": {
2243 "quantity": "string",
2244 "currency": "AED"
2245 },
2246 "total_amount": {
2247 "quantity": "string",
2248 "currency": "AED"
2249 },
2250 "category": "string",
2251 "local_amounts": {
2252 "base_amount": {
2253 "quantity": "string",
2254 "currency": "AED"
2255 },
2256 "tax_amount": {
2257 "quantity": "string",
2258 "currency": "AED"
2259 },
2260 "total_amount": {
2261 "quantity": "string",
2262 "currency": "AED"
2263 },
2264 "used_exchange_rate": {
2265 "currency": "string",
2266 "base_currency": "string",
2267 "rate_timestamp": "string",
2268 "rate": "string",
2269 "source": "string"
2270 },
2271 "display": true
2272 },
2273 "notes": [
2274 "string"
2275 ],
2276 "rates": [
2277 {
2278 "name": "string",
2279 "percentage": "string",
2280 "tax_amount": {
2281 "quantity": "string",
2282 "currency": "AED"
2283 }
2284 }
2285 ],
2286 "percentage": "string",
2287 "name": "string"
2288 }
2289 ],
2290 "amount_excluding_tax": {
2291 "quantity": "string",
2292 "currency": "AED"
2293 },
2294 "amount_including_tax": {
2295 "quantity": "string",
2296 "currency": "AED"
2297 },
2298 "conditions": {
2299 "name": "string",
2300 "expression": {
2301 "operator": "AND",
2302 "operands": [
2303 {
2304 "meter_property": {
2305 "id": "string",
2306 "reference": "string",
2307 "meter_property": {
2308 "object_type": "string",
2309 "id": "string",
2310 "reference": "string",
2311 "name": "string",
2312 "description": "string",
2313 "status": "DRAFT",
2314 "type": "NUMBER",
2315 "enum_values": [
2316 "string"
2317 ]
2318 },
2319 "value": "string",
2320 "values": [
2321 "string"
2322 ],
2323 "comparator": "EQUALS"
2324 },
2325 "expression": {}
2326 }
2327 ]
2328 },
2329 "meter_properties": [
2330 {
2331 "id": "string",
2332 "reference": "string",
2333 "meter_property": {
2334 "object_type": "string",
2335 "id": "string",
2336 "reference": "string",
2337 "name": "string",
2338 "description": "string",
2339 "status": "DRAFT",
2340 "type": "NUMBER",
2341 "enum_values": [
2342 "string"
2343 ]
2344 },
2345 "value": "string",
2346 "values": [
2347 "string"
2348 ],
2349 "comparator": "EQUALS"
2350 }
2351 ]
2352 },
2353 "meter_value": {
2354 "reference": "string",
2355 "type": "string",
2356 "number": "string",
2357 "amount": {
2358 "quantity": "string",
2359 "currency": "AED"
2360 }
2361 },
2362 "details": {
2363 "amount": {
2364 "quantity": "string",
2365 "currency": "AED"
2366 },
2367 "pricing_currency": "string",
2368 "pricing_amount": {
2369 "quantity": "string",
2370 "currency": "AED"
2371 },
2372 "conversion": {
2373 "credits": {
2374 "quantity": "string",
2375 "credit_type_id": "string"
2376 },
2377 "convert_from_meter_value_id": "string"
2378 },
2379 "band": {
2380 "amount": {
2381 "quantity": "string",
2382 "currency": "AED"
2383 },
2384 "percentage": "string",
2385 "credits": {
2386 "quantity": "string",
2387 "credit_type_id": "string"
2388 },
2389 "maximum_amount": {
2390 "quantity": "string",
2391 "currency": "AED"
2392 },
2393 "minimum_amount": {
2394 "quantity": "string",
2395 "currency": "AED"
2396 },
2397 "maximum_number": "string",
2398 "minimum_number": "string",
2399 "block_size": {
2400 "number": "string",
2401 "amount": {
2402 "quantity": "string",
2403 "currency": "AED"
2404 },
2405 "count": "string"
2406 },
2407 "tier_lower_bound": {
2408 "number": "string",
2409 "amount": {
2410 "quantity": "string",
2411 "currency": "AED"
2412 },
2413 "count": "string"
2414 },
2415 "tier_top_bound": {
2416 "number": "string",
2417 "amount": {
2418 "quantity": "string",
2419 "currency": "AED"
2420 },
2421 "count": "string"
2422 },
2423 "volume_share": "string",
2424 "included_volume": {
2425 "number": "string",
2426 "amount": {
2427 "quantity": "string",
2428 "currency": "AED"
2429 },
2430 "count": "string"
2431 }
2432 },
2433 "meter_value": {
2434 "id": "string",
2435 "reference": "string",
2436 "number": "string",
2437 "amount": {
2438 "quantity": "string",
2439 "currency": "AED"
2440 },
2441 "count": "string",
2442 "ratio": "string",
2443 "type": "NUMBER"
2444 },
2445 "tiering_meter_value": {
2446 "id": "string",
2447 "reference": "string",
2448 "number": "string",
2449 "amount": {
2450 "quantity": "string",
2451 "currency": "AED"
2452 },
2453 "count": "string",
2454 "ratio": "string",
2455 "type": "NUMBER"
2456 },
2457 "price_bound": "string",
2458 "meter_values": [
2459 {
2460 "number": "string",
2461 "amount": {
2462 "quantity": "string",
2463 "currency": "AED"
2464 },
2465 "amount_in_pricing_currency": {
2466 "quantity": "string",
2467 "currency": "AED"
2468 },
2469 "count": 1,
2470 "ratio": "string"
2471 }
2472 ],
2473 "report_meter_values": [
2474 {
2475 "meter_value_calculation_id": "string",
2476 "number": "string",
2477 "amount": {
2478 "quantity": "string",
2479 "currency": "AED"
2480 },
2481 "amount_in_pricing_currency": {
2482 "quantity": "string",
2483 "currency": "AED"
2484 },
2485 "count": "string",
2486 "ratio": "string"
2487 }
2488 ],
2489 "description": "string",
2490 "used_exchange_rates": [
2491 {
2492 "currency": "string",
2493 "base_currency": "string",
2494 "rate_timestamp": "string",
2495 "rate": "string",
2496 "source": "string"
2497 }
2498 ],
2499 "included_volume_details": {
2500 "included_volume": {
2501 "id": "string",
2502 "reference": "string",
2503 "number": "string",
2504 "amount": {
2505 "quantity": "string",
2506 "currency": "AED"
2507 },
2508 "count": "string",
2509 "ratio": "string",
2510 "type": "NUMBER"
2511 },
2512 "available_included_volume": {
2513 "id": "string",
2514 "reference": "string",
2515 "number": "string",
2516 "amount": {
2517 "quantity": "string",
2518 "currency": "AED"
2519 },
2520 "count": "string",
2521 "ratio": "string",
2522 "type": "NUMBER"
2523 },
2524 "period_volume": {
2525 "id": "string",
2526 "reference": "string",
2527 "number": "string",
2528 "amount": {
2529 "quantity": "string",
2530 "currency": "AED"
2531 },
2532 "count": "string",
2533 "ratio": "string",
2534 "type": "NUMBER"
2535 }
2536 },
2537 "wallet_balance_details": {
2538 "used_wallet_credits": {
2539 "quantity": "string",
2540 "credit_type_id": "string"
2541 },
2542 "left_wallet_credits": {
2543 "quantity": "string",
2544 "credit_type_id": "string"
2545 },
2546 "available_wallet_credits": {
2547 "quantity": "string",
2548 "credit_type_id": "string"
2549 }
2550 },
2551 "split_pricing": {
2552 "meter_properties": [
2553 {
2554 "id": "string",
2555 "reference": "string",
2556 "value": "string",
2557 "meter_property": {
2558 "object_type": "string",
2559 "id": "string",
2560 "reference": "string",
2561 "name": "string",
2562 "description": "string",
2563 "status": "DRAFT",
2564 "type": "NUMBER",
2565 "enum_values": [
2566 "string"
2567 ]
2568 }
2569 }
2570 ]
2571 },
2572 "meter_value_share_of_total": "string",
2573 "meter_value_share_of_processing_only_customer_total": "string"
2574 },
2575 "sub_lines": [
2576 {
2577 "sub_line_order": 1,
2578 "details": {
2579 "amount": {
2580 "quantity": "string",
2581 "currency": "AED"
2582 },
2583 "pricing_currency": "string",
2584 "pricing_amount": {
2585 "quantity": "string",
2586 "currency": "AED"
2587 },
2588 "conversion": {
2589 "credits": {
2590 "quantity": "string",
2591 "credit_type_id": "string"
2592 },
2593 "convert_from_meter_value_id": "string"
2594 },
2595 "band": {
2596 "amount": {
2597 "quantity": "string",
2598 "currency": "AED"
2599 },
2600 "percentage": "string",
2601 "credits": {
2602 "quantity": "string",
2603 "credit_type_id": "string"
2604 },
2605 "maximum_amount": {
2606 "quantity": "string",
2607 "currency": "AED"
2608 },
2609 "minimum_amount": {
2610 "quantity": "string",
2611 "currency": "AED"
2612 },
2613 "maximum_number": "string",
2614 "minimum_number": "string",
2615 "block_size": {
2616 "number": "string",
2617 "amount": {
2618 "quantity": "string",
2619 "currency": "AED"
2620 },
2621 "count": "string"
2622 },
2623 "tier_lower_bound": {
2624 "number": "string",
2625 "amount": {
2626 "quantity": "string",
2627 "currency": "AED"
2628 },
2629 "count": "string"
2630 },
2631 "tier_top_bound": {
2632 "number": "string",
2633 "amount": {
2634 "quantity": "string",
2635 "currency": "AED"
2636 },
2637 "count": "string"
2638 },
2639 "volume_share": "string",
2640 "included_volume": {
2641 "number": "string",
2642 "amount": {
2643 "quantity": "string",
2644 "currency": "AED"
2645 },
2646 "count": "string"
2647 }
2648 },
2649 "meter_value": {
2650 "id": "string",
2651 "reference": "string",
2652 "number": "string",
2653 "amount": {
2654 "quantity": "string",
2655 "currency": "AED"
2656 },
2657 "count": "string",
2658 "ratio": "string",
2659 "type": "NUMBER"
2660 },
2661 "tiering_meter_value": {
2662 "id": "string",
2663 "reference": "string",
2664 "number": "string",
2665 "amount": {
2666 "quantity": "string",
2667 "currency": "AED"
2668 },
2669 "count": "string",
2670 "ratio": "string",
2671 "type": "NUMBER"
2672 },
2673 "price_bound": "string",
2674 "meter_values": [
2675 {
2676 "number": "string",
2677 "amount": {
2678 "quantity": "string",
2679 "currency": "AED"
2680 },
2681 "amount_in_pricing_currency": {
2682 "quantity": "string",
2683 "currency": "AED"
2684 },
2685 "count": 1,
2686 "ratio": "string"
2687 }
2688 ],
2689 "report_meter_values": [
2690 {
2691 "meter_value_calculation_id": "string",
2692 "number": "string",
2693 "amount": {
2694 "quantity": "string",
2695 "currency": "AED"
2696 },
2697 "amount_in_pricing_currency": {
2698 "quantity": "string",
2699 "currency": "AED"
2700 },
2701 "count": "string",
2702 "ratio": "string"
2703 }
2704 ],
2705 "description": "string",
2706 "used_exchange_rates": [
2707 {
2708 "currency": "string",
2709 "base_currency": "string",
2710 "rate_timestamp": "string",
2711 "rate": "string",
2712 "source": "string"
2713 }
2714 ],
2715 "included_volume_details": {
2716 "included_volume": {
2717 "id": "string",
2718 "reference": "string",
2719 "number": "string",
2720 "amount": {
2721 "quantity": "string",
2722 "currency": "AED"
2723 },
2724 "count": "string",
2725 "ratio": "string",
2726 "type": "NUMBER"
2727 },
2728 "available_included_volume": {
2729 "id": "string",
2730 "reference": "string",
2731 "number": "string",
2732 "amount": {
2733 "quantity": "string",
2734 "currency": "AED"
2735 },
2736 "count": "string",
2737 "ratio": "string",
2738 "type": "NUMBER"
2739 },
2740 "period_volume": {
2741 "id": "string",
2742 "reference": "string",
2743 "number": "string",
2744 "amount": {
2745 "quantity": "string",
2746 "currency": "AED"
2747 },
2748 "count": "string",
2749 "ratio": "string",
2750 "type": "NUMBER"
2751 }
2752 },
2753 "wallet_balance_details": {
2754 "used_wallet_credits": {
2755 "quantity": "string",
2756 "credit_type_id": "string"
2757 },
2758 "left_wallet_credits": {
2759 "quantity": "string",
2760 "credit_type_id": "string"
2761 },
2762 "available_wallet_credits": {
2763 "quantity": "string",
2764 "credit_type_id": "string"
2765 }
2766 },
2767 "split_pricing": {
2768 "meter_properties": [
2769 {
2770 "id": "string",
2771 "reference": "string",
2772 "value": "string",
2773 "meter_property": {
2774 "object_type": "string",
2775 "id": "string",
2776 "reference": "string",
2777 "name": "string",
2778 "description": "string",
2779 "status": "DRAFT",
2780 "type": "NUMBER",
2781 "enum_values": [
2782 "string"
2783 ]
2784 }
2785 }
2786 ]
2787 },
2788 "meter_value_share_of_total": "string",
2789 "meter_value_share_of_processing_only_customer_total": "string"
2790 },
2791 "description": "string",
2792 "processing_only_customer_id": "string",
2793 "type": "USAGE_BASED_CONVERSION",
2794 "usage_based_conversion": {
2795 "conditions": {
2796 "name": "string",
2797 "expression": {
2798 "operator": "AND",
2799 "operands": [
2800 {
2801 "meter_property": {
2802 "id": "string",
2803 "reference": "string",
2804 "meter_property": {
2805 "object_type": "string",
2806 "id": "string",
2807 "reference": "string",
2808 "name": "string",
2809 "description": "string",
2810 "status": "DRAFT",
2811 "type": "NUMBER",
2812 "enum_values": [
2813 "string"
2814 ]
2815 },
2816 "value": "string",
2817 "values": [
2818 "string"
2819 ],
2820 "comparator": "EQUALS"
2821 },
2822 "expression": {}
2823 }
2824 ]
2825 },
2826 "meter_properties": [
2827 {
2828 "id": "string",
2829 "reference": "string",
2830 "meter_property": {
2831 "object_type": "string",
2832 "id": "string",
2833 "reference": "string",
2834 "name": "string",
2835 "description": "string",
2836 "status": "DRAFT",
2837 "type": "NUMBER",
2838 "enum_values": [
2839 "string"
2840 ]
2841 },
2842 "value": "string",
2843 "values": [
2844 "string"
2845 ],
2846 "comparator": "EQUALS"
2847 }
2848 ]
2849 }
2850 },
2851 "processing_only_customer_resource_id": "string"
2852 }
2853 ]
2854 }
2855 ],
2856 "billing_customer_id": "string"
2857 }
2858 ]
2859 }
2860 ],
2861 "tax_categories": [
2862 {
2863 "base_amount": {
2864 "quantity": "string",
2865 "currency": "AED"
2866 },
2867 "tax_amount": {
2868 "quantity": "string",
2869 "currency": "AED"
2870 },
2871 "total_amount": {
2872 "quantity": "string",
2873 "currency": "AED"
2874 },
2875 "category": "string",
2876 "local_amounts": {
2877 "base_amount": {
2878 "quantity": "string",
2879 "currency": "AED"
2880 },
2881 "tax_amount": {
2882 "quantity": "string",
2883 "currency": "AED"
2884 },
2885 "total_amount": {
2886 "quantity": "string",
2887 "currency": "AED"
2888 },
2889 "used_exchange_rate": {
2890 "currency": "string",
2891 "base_currency": "string",
2892 "rate_timestamp": "string",
2893 "rate": "string",
2894 "source": "string"
2895 },
2896 "display": true
2897 },
2898 "notes": [
2899 "string"
2900 ],
2901 "rates": [
2902 {
2903 "name": "string",
2904 "percentage": "string",
2905 "tax_amount": {
2906 "quantity": "string",
2907 "currency": "AED"
2908 }
2909 }
2910 ],
2911 "percentage": "string",
2912 "name": "string"
2913 }
2914 ],
2915 "tax_summary": {
2916 "base_amount": {
2917 "quantity": "string",
2918 "currency": "AED"
2919 },
2920 "tax_amount": {
2921 "quantity": "string",
2922 "currency": "AED"
2923 },
2924 "total_amount": {
2925 "quantity": "string",
2926 "currency": "AED"
2927 },
2928 "local_amounts": {
2929 "base_amount": {
2930 "quantity": "string",
2931 "currency": "AED"
2932 },
2933 "tax_amount": {
2934 "quantity": "string",
2935 "currency": "AED"
2936 },
2937 "total_amount": {
2938 "quantity": "string",
2939 "currency": "AED"
2940 },
2941 "used_exchange_rate": {
2942 "currency": "string",
2943 "base_currency": "string",
2944 "rate_timestamp": "string",
2945 "rate": "string",
2946 "source": "string"
2947 },
2948 "display": true
2949 },
2950 "notes": [
2951 "string"
2952 ],
2953 "country_code": "string"
2954 },
2955 "dunning_actions": [
2956 {
2957 "payment_acceptor_id": "string",
2958 "external_reference": "string",
2959 "status": "CANCEL_PENDING",
2960 "failure_reason": "string",
2961 "first_payment_id": "string"
2962 }
2963 ],
2964 "payment_acceptor_ids": [
2965 "string"
2966 ],
2967 "payment_actions": [
2968 {
2969 "payment_acceptor_id": "string",
2970 "payment_acceptor": {
2971 "object_type": "string",
2972 "id": "string",
2973 "billing_entity_id": "string",
2974 "customer_id": "string",
2975 "reference": "string",
2976 "name": "string",
2977 "description": "string",
2978 "type": "BANK_ACCOUNT",
2979 "bank_account": {
2980 "type": "IBAN",
2981 "iban": "string",
2982 "country": "string",
2983 "bic": "string",
2984 "bank_name": "string",
2985 "bank_address": {
2986 "line1": "string",
2987 "line2": "string",
2988 "city": "string",
2989 "postal_code": "string",
2990 "state": "string",
2991 "country": "AD"
2992 },
2993 "account_number_and_bic": {
2994 "account_number": "string",
2995 "bank_code": "string",
2996 "bic": "string"
2997 },
2998 "uk_local": {
2999 "account_number": "string",
3000 "sort_code": "string"
3001 },
3002 "us_local": {
3003 "account_number": "string",
3004 "account_type": "CHECKING",
3005 "bank_code": "string",
3006 "routing_number": "string"
3007 },
3008 "br_local": {
3009 "branch": "string",
3010 "account_number": "string",
3011 "bic": "string"
3012 },
3013 "ar_local": {
3014 "cbu": "string",
3015 "account_number": "string",
3016 "bic": "string"
3017 },
3018 "mx_local": {
3019 "clabe": "string",
3020 "account_number": "string",
3021 "bic": "string"
3022 },
3023 "account_number": "string",
3024 "bank_code": "string",
3025 "routing_number": "string",
3026 "account_type": "CHECKING"
3027 },
3028 "payment_gateway": {
3029 "integration_id": "string",
3030 "integration": {
3031 "object_type": "string",
3032 "id": "string",
3033 "reference": "string",
3034 "name": "string",
3035 "description": "string",
3036 "status": "DRAFT",
3037 "message": "string",
3038 "type": "PAYMENT_GATEWAY",
3039 "authentication": {
3040 "api_key": {
3041 "header": "string",
3042 "value": "string"
3043 },
3044 "client_credentials": {
3045 "client_id": "string",
3046 "client_secret": "string"
3047 },
3048 "username_password": {
3049 "username": "string",
3050 "password": "string"
3051 }
3052 },
3053 "payment_gateway": {
3054 "variant": "ADYEN",
3055 "adyen": {
3056 "company_account": "string",
3057 "environment": "LIVE",
3058 "live_prefix": "string",
3059 "merchant_accounts": [
3060 "string"
3061 ],
3062 "public_key": "string",
3063 "signing_secret": "string",
3064 "ownership": "PLATFORM",
3065 "system_ownership_details": {
3066 "account_holder_id": "string",
3067 "balance_account_id": "string",
3068 "legal_entity_id": "string"
3069 },
3070 "balance_platform_details": {
3071 "account": "string",
3072 "authentication": {
3073 "api_key": {
3074 "header": "string",
3075 "value": "string"
3076 },
3077 "client_credentials": {
3078 "client_id": "string",
3079 "client_secret": "string"
3080 },
3081 "username_password": {
3082 "username": "string",
3083 "password": "string"
3084 }
3085 }
3086 },
3087 "legal_entity_manager_details": {
3088 "authentication": {
3089 "api_key": {
3090 "header": "string",
3091 "value": "string"
3092 },
3093 "client_credentials": {
3094 "client_id": "string",
3095 "client_secret": "string"
3096 },
3097 "username_password": {
3098 "username": "string",
3099 "password": "string"
3100 }
3101 }
3102 },
3103 "enabled_payment_methods": [
3104 "string"
3105 ]
3106 },
3107 "stripe": {
3108 "public_key": "string",
3109 "signing_secret": "string"
3110 }
3111 },
3112 "e_invoicing": {
3113 "mandates": [
3114 {
3115 "name": "string",
3116 "country": "string",
3117 "mappings": [
3118 {
3119 "target": "string",
3120 "source": "string",
3121 "description": "string"
3122 }
3123 ],
3124 "condition_groups": [
3125 {
3126 "conditions": [
3127 {
3128 "field": "string",
3129 "comparator_type": "EQUALS",
3130 "value": "string"
3131 }
3132 ]
3133 }
3134 ],
3135 "include_pdf_in_einvoice": true,
3136 "supported_file_formats": [
3137 {
3138 "type": "string",
3139 "description": "string"
3140 }
3141 ]
3142 }
3143 ],
3144 "processor": "AVALARA"
3145 },
3146 "data_export": {
3147 "variant": "S3",
3148 "s3": {
3149 "bucket_name": "string",
3150 "bucket_path": "string",
3151 "bucket_region": "string"
3152 },
3153 "bigquery": {
3154 "project_id": "string",
3155 "dataset_id": "string",
3156 "dataset_location": "string",
3157 "gcs_bucket_name": "string",
3158 "gcs_hmac_key_access_id": "string",
3159 "gcs_hmac_key_secret": "string"
3160 },
3161 "gcs": {
3162 "bucket_region": "string",
3163 "bucket_name": "string",
3164 "bucket_path": "string",
3165 "flattening": true
3166 },
3167 "snowflake": {
3168 "host": "string",
3169 "role": "string",
3170 "warehouse": "string",
3171 "database": "string",
3172 "schema": "string"
3173 }
3174 },
3175 "tax_calculation": {
3176 "billing_entity_id": "string",
3177 "variant": "AVATAX",
3178 "ava_tax": {
3179 "company_code": "string"
3180 },
3181 "custom_tax_codes": [
3182 {
3183 "field": "INVOICE_COMMITMENT",
3184 "value": "string"
3185 }
3186 ],
3187 "enable_tax_filing": true
3188 },
3189 "linked_resources_configurations": [
3190 {
3191 "resource_type": "string",
3192 "link_details": [
3193 {
3194 "base_url": "string",
3195 "custom_field_reference": "string"
3196 }
3197 ]
3198 }
3199 ],
3200 "email_provider": {
3201 "variant": "SYSTEM",
3202 "mailgun": {
3203 "domain": "string",
3204 "region": "US",
3205 "plan": "string"
3206 },
3207 "delivery_window": {
3208 "type": "DAY",
3209 "value": 1
3210 },
3211 "use_localized_templates": true
3212 }
3213 },
3214 "store_payment_method": true,
3215 "auto_charge_payment_method": true,
3216 "collection_type": "LINK",
3217 "link": {
3218 "expiry_period": {
3219 "type": "DAY",
3220 "value": 1
3221 }
3222 },
3223 "adyen": {
3224 "auto_rescue": {
3225 "enabled": true,
3226 "period": {
3227 "type": "DAY",
3228 "value": 1
3229 }
3230 },
3231 "merchant_account": "string",
3232 "allowed_payment_methods": [
3233 "string"
3234 ]
3235 }
3236 },
3237 "custom_redirect": {
3238 "url": "string"
3239 },
3240 "status": "DRAFT"
3241 },
3242 "type": "string",
3243 "bank_account": {
3244 "legal_name": "string",
3245 "country_code": "string",
3246 "iban": "string",
3247 "bic": "string",
3248 "bank_name": "string",
3249 "account_number": "string",
3250 "bank_code": "string",
3251 "sort_code": "string",
3252 "reference": "string",
3253 "routing_number": "string",
3254 "account_type": "string",
3255 "type": "string",
3256 "bank_address": {
3257 "line1": "string",
3258 "line2": "string",
3259 "city": "string",
3260 "postal_code": "string",
3261 "state": "string",
3262 "country": "AD"
3263 },
3264 "branch": "string",
3265 "cbu": "string",
3266 "clabe": "string"
3267 },
3268 "payment_gateway": {
3269 "variant": "string",
3270 "collection_type": "string",
3271 "adyen": {
3272 "id": "string",
3273 "session_data": "string"
3274 },
3275 "stripe": {
3276 "payment_intent_id": "string",
3277 "client_secret": "string"
3278 }
3279 },
3280 "custom_redirect": {
3281 "url": "string"
3282 }
3283 }
3284 ],
3285 "pay_invoice_link": {
3286 "expiry_period": {
3287 "type": "DAY",
3288 "value": 1
3289 },
3290 "portal_url_id": "string",
3291 "url": "string"
3292 },
3293 "notes": [
3294 "string"
3295 ],
3296 "linked_invoices": [
3297 {
3298 "id": "string",
3299 "link_type": "string",
3300 "note": "string",
3301 "invoice_number": "string",
3302 "amount": {
3303 "quantity": "string",
3304 "currency": "AED"
3305 },
3306 "invoice_date": "string"
3307 }
3308 ],
3309 "custom_fields": [
3310 {
3311 "id": "string",
3312 "reference": "string",
3313 "value": "string",
3314 "values": [
3315 "string"
3316 ],
3317 "integration_details": {
3318 "id": "string",
3319 "reference": "string",
3320 "payment_gateway_variant": "ADYEN",
3321 "adyen": {
3322 "recurring_detail_reference": "string"
3323 },
3324 "stripe": {
3325 "payment_method_id": "string"
3326 }
3327 }
3328 }
3329 ],
3330 "other_custom_fields": [
3331 {
3332 "resource": {
3333 "type": "PLATFORM",
3334 "id": "string"
3335 },
3336 "id": "string",
3337 "reference": "string",
3338 "name": "string",
3339 "value": "string",
3340 "values": [
3341 "string"
3342 ]
3343 }
3344 ],
3345 "credit": {
3346 "original_invoice_info": {
3347 "id": "string",
3348 "invoice_number": "string"
3349 },
3350 "note": "string",
3351 "original_invoice_id": "string"
3352 },
3353 "e_invoices": [
3354 {
3355 "external_reference": "string",
3356 "applied_mandate": "string",
3357 "processor": "string",
3358 "status": {
3359 "status": "string",
3360 "timestamp": "string",
3361 "message": "string"
3362 },
3363 "status_history": [
3364 {
3365 "status": "string",
3366 "timestamp": "string",
3367 "message": "string"
3368 }
3369 ],
3370 "supported_file_formats": [
3371 {
3372 "type": "string",
3373 "description": "string"
3374 }
3375 ]
3376 }
3377 ],
3378 "used_exchange_rates": [
3379 {
3380 "currency": "string",
3381 "base_currency": "string",
3382 "rate_timestamp": "string",
3383 "rate": "string",
3384 "source": "string"
3385 }
3386 ],
3387 "processing_only_customers": [
3388 {
3389 "object_type": "string",
3390 "id": "string",
3391 "created_at": "string",
3392 "parent_customer_id": "string",
3393 "parent_customer_ids": [
3394 "string"
3395 ],
3396 "reference": "string",
3397 "status": "DRAFT",
3398 "timezone": "string",
3399 "type": "ORGANIZATION",
3400 "email": "string",
3401 "notification_preferences": [
3402 {
3403 "type": "INVOICE",
3404 "channels": [
3405 {
3406 "type": "EMAIL",
3407 "enabled": true
3408 }
3409 ]
3410 }
3411 ],
3412 "locale": "string",
3413 "individual": {
3414 "name": {
3415 "first_name": "string",
3416 "last_name": "string",
3417 "infix": "string"
3418 },
3419 "residential_address": {
3420 "line1": "string",
3421 "line2": "string",
3422 "city": "string",
3423 "postal_code": "string",
3424 "state": "string",
3425 "country": "AD"
3426 }
3427 },
3428 "organization": {
3429 "legal_name": "string",
3430 "tax_id": "string",
3431 "tax_ids": [
3432 {
3433 "id": "string",
3434 "type": "GENERIC_TAX_ID",
3435 "display_name": "string",
3436 "tax_id_validation_result": {
3437 "id": "string",
3438 "validation_date": "string",
3439 "source": "string",
3440 "valid": "VALID",
3441 "message": "string"
3442 }
3443 }
3444 ],
3445 "registration_number": "string",
3446 "tax_exempt": true,
3447 "tax_exempt_note": "string",
3448 "registered_address": {
3449 "line1": "string",
3450 "line2": "string",
3451 "city": "string",
3452 "postal_code": "string",
3453 "state": "string",
3454 "country": "AD"
3455 },
3456 "tax_registrations": [
3457 {
3458 "id": "string",
3459 "description": "string",
3460 "tax_id": "string",
3461 "tax_ids": [
3462 {
3463 "id": "string",
3464 "type": "GENERIC_TAX_ID",
3465 "display_name": "string",
3466 "tax_id_validation_result": {
3467 "id": "string",
3468 "validation_date": "string",
3469 "source": "string",
3470 "valid": "VALID",
3471 "message": "string"
3472 }
3473 }
3474 ],
3475 "registration_number": "string",
3476 "registered_address": {
3477 "line1": "string",
3478 "line2": "string",
3479 "city": "string",
3480 "postal_code": "string",
3481 "state": "string",
3482 "country": "AD"
3483 }
3484 }
3485 ]
3486 },
3487 "custom_fields": [
3488 {
3489 "id": "string",
3490 "reference": "string",
3491 "value": "string",
3492 "values": [
3493 "string"
3494 ],
3495 "integration_details": {
3496 "id": "string",
3497 "reference": "string",
3498 "payment_gateway_variant": "ADYEN",
3499 "adyen": {
3500 "recurring_detail_reference": "string"
3501 },
3502 "stripe": {
3503 "payment_method_id": "string"
3504 }
3505 }
3506 }
3507 ],
3508 "processing_only": true,
3509 "pricing_plan_subscription_selector": {
3510 "data": [
3511 {
3512 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3513 "value": "string"
3514 }
3515 ],
3516 "rules": [
3517 {
3518 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3519 "type": "EQUALS"
3520 }
3521 ],
3522 "filters": [
3523 {
3524 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3525 "type": "EQUALS",
3526 "value": "string"
3527 }
3528 ],
3529 "fallback": "LATEST"
3530 },
3531 "linked_integrations": [
3532 {
3533 "id": "string",
3534 "link_details": [
3535 {
3536 "url": "string",
3537 "custom_field_name": "string"
3538 }
3539 ]
3540 }
3541 ],
3542 "roles": [
3543 "DEFAULT"
3544 ],
3545 "seller_details": {
3546 "default_billing_entity_id": "string"
3547 }
3548 }
3549 ],
3550 "meter_values": [
3551 {
3552 "object_type": "string",
3553 "id": "string",
3554 "reference": "string",
3555 "name": "string",
3556 "description": "string",
3557 "status": "DRAFT",
3558 "type": "NUMBER"
3559 }
3560 ],
3561 "credit_types": [
3562 {
3563 "object_type": "string",
3564 "id": "string",
3565 "reference": "string",
3566 "status": "DRAFT",
3567 "name": "string",
3568 "description": "string",
3569 "unit_name": {
3570 "singular": "string",
3571 "plural": "string"
3572 },
3573 "created_at": "string",
3574 "updated_at": "string"
3575 }
3576 ],
3577 "display_invoice_sub_lines_per_processing_only_customer": true,
3578 "forwarded_from_customers": [
3579 {
3580 "object_type": "string",
3581 "id": "string",
3582 "created_at": "string",
3583 "parent_customer_id": "string",
3584 "parent_customer_ids": [
3585 "string"
3586 ],
3587 "reference": "string",
3588 "status": "DRAFT",
3589 "timezone": "string",
3590 "type": "ORGANIZATION",
3591 "email": "string",
3592 "notification_preferences": [
3593 {
3594 "type": "INVOICE",
3595 "channels": [
3596 {
3597 "type": "EMAIL",
3598 "enabled": true
3599 }
3600 ]
3601 }
3602 ],
3603 "locale": "string",
3604 "individual": {
3605 "name": {
3606 "first_name": "string",
3607 "last_name": "string",
3608 "infix": "string"
3609 },
3610 "residential_address": {
3611 "line1": "string",
3612 "line2": "string",
3613 "city": "string",
3614 "postal_code": "string",
3615 "state": "string",
3616 "country": "AD"
3617 }
3618 },
3619 "organization": {
3620 "legal_name": "string",
3621 "tax_id": "string",
3622 "tax_ids": [
3623 {
3624 "id": "string",
3625 "type": "GENERIC_TAX_ID",
3626 "display_name": "string",
3627 "tax_id_validation_result": {
3628 "id": "string",
3629 "validation_date": "string",
3630 "source": "string",
3631 "valid": "VALID",
3632 "message": "string"
3633 }
3634 }
3635 ],
3636 "registration_number": "string",
3637 "tax_exempt": true,
3638 "tax_exempt_note": "string",
3639 "registered_address": {
3640 "line1": "string",
3641 "line2": "string",
3642 "city": "string",
3643 "postal_code": "string",
3644 "state": "string",
3645 "country": "AD"
3646 },
3647 "tax_registrations": [
3648 {
3649 "id": "string",
3650 "description": "string",
3651 "tax_id": "string",
3652 "tax_ids": [
3653 {
3654 "id": "string",
3655 "type": "GENERIC_TAX_ID",
3656 "display_name": "string",
3657 "tax_id_validation_result": {
3658 "id": "string",
3659 "validation_date": "string",
3660 "source": "string",
3661 "valid": "VALID",
3662 "message": "string"
3663 }
3664 }
3665 ],
3666 "registration_number": "string",
3667 "registered_address": {
3668 "line1": "string",
3669 "line2": "string",
3670 "city": "string",
3671 "postal_code": "string",
3672 "state": "string",
3673 "country": "AD"
3674 }
3675 }
3676 ]
3677 },
3678 "custom_fields": [
3679 {
3680 "id": "string",
3681 "reference": "string",
3682 "value": "string",
3683 "values": [
3684 "string"
3685 ],
3686 "integration_details": {
3687 "id": "string",
3688 "reference": "string",
3689 "payment_gateway_variant": "ADYEN",
3690 "adyen": {
3691 "recurring_detail_reference": "string"
3692 },
3693 "stripe": {
3694 "payment_method_id": "string"
3695 }
3696 }
3697 }
3698 ],
3699 "processing_only": true,
3700 "pricing_plan_subscription_selector": {
3701 "data": [
3702 {
3703 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3704 "value": "string"
3705 }
3706 ],
3707 "rules": [
3708 {
3709 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3710 "type": "EQUALS"
3711 }
3712 ],
3713 "filters": [
3714 {
3715 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3716 "type": "EQUALS",
3717 "value": "string"
3718 }
3719 ],
3720 "fallback": "LATEST"
3721 },
3722 "linked_integrations": [
3723 {
3724 "id": "string",
3725 "link_details": [
3726 {
3727 "url": "string",
3728 "custom_field_name": "string"
3729 }
3730 ]
3731 }
3732 ],
3733 "roles": [
3734 "DEFAULT"
3735 ],
3736 "seller_details": {
3737 "default_billing_entity_id": "string"
3738 }
3739 }
3740 ],
3741 "validation_result": [
3742 {
3743 "status": "string",
3744 "details": "string"
3745 }
3746 ],
3747 "reprocess": {
3748 "to_be_reprocessed_at": "string",
3749 "reprocess_status": "string",
3750 "reprocess_id": "string"
3751 },
3752 "used_tax_registration": {
3753 "id": "string",
3754 "description": "string",
3755 "tax_id": "string",
3756 "tax_ids": [
3757 {
3758 "id": "string",
3759 "type": "GENERIC_TAX_ID",
3760 "display_name": "string",
3761 "tax_id_validation_result": {
3762 "id": "string",
3763 "validation_date": "string",
3764 "source": "string",
3765 "valid": "VALID",
3766 "message": "string"
3767 }
3768 }
3769 ],
3770 "registration_number": "string",
3771 "registered_address": {
3772 "line1": "string",
3773 "line2": "string",
3774 "city": "string",
3775 "postal_code": "string",
3776 "state": "string",
3777 "country": "AD"
3778 }
3779 },
3780 "footnote": "string",
3781 "approval_status": "PENDING_REVIEW",
3782 "updated_to_final_at": "string",
3783 "has_usage_based_pricing": true,
3784 "coupons": [
3785 {
3786 "coupon_id": "string",
3787 "coupon_name": "string"
3788 }
3789 ],
3790 "promotion_codes": [
3791 {
3792 "promotion_code_details": {
3793 "promotion_code_id": "string",
3794 "code": "string"
3795 },
3796 "coupon_id": "string"
3797 }
3798 ],
3799 "linked_integrations": [
3800 {
3801 "id": "string",
3802 "link_details": [
3803 {
3804 "url": "string",
3805 "custom_field_name": "string"
3806 }
3807 ]
3808 }
3809 ],
3810 "billing_type": "DEFAULT",
3811 "payment_status": "UNPAID",
3812 "paid": true,
3813 "auto_rescues": [
3814 {
3815 "payment_acceptor_id": "string",
3816 "external_reference": "string",
3817 "status": "CANCEL_PENDING",
3818 "failure_reason": "string",
3819 "first_payment_id": "string"
3820 }
3821 ],
3822 "linked_invoices_ids": [
3823 "string"
3824 ],
3825 "to_be_reprocessed": true,
3826 "to_be_reprocessed_at": "string"
3827}

Requires the INVOICE.ONE_OFF.CREATE permission.

Was this page helpful?
Previous

Create a preview invoice

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
Allowed values:
purchase_order_numberstring or nullOptional
customer_idstring or nullOptional

id of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

customer_referencestring or nullOptionalformat: "^\S+$"0-256 characters

reference of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

sales_tax_percentagestring or nullOptional

Sales tax percentage. Needs to be present if both customer and billing entity are US-based. Optional if one of them is US-based

customerobject or nullOptional
billing_entity_idstringOptional

id of the billing entity, can only be provided for a one-off invoice. If not provided, the default of the platform will be used

billing_entityobject or nullOptional
statusstringOptional
on_holdbooleanOptional
invoice_datedatetimeOptional
due_datedatetime or nullOptional
invoice_amount_including_taxobject or nullOptional
open_invoice_amountobject or nullOptional
closed_invoice_amountobject or nullOptional
paid_invoice_amountobject or nullOptional
billing_periodobject or nullOptional
pricing_amount_typeenumOptional
Indicates whether the amounts provided, e.g. from the pricing plan, are including or excluding tax.
Allowed values:
periodslist of objectsOptional
Periods that are applicable for this invoice, use either periods or groups for summation, groups will be removed in later version
tax_summaryobject or nullOptional
payment_acceptor_idslist of stringsOptional
pay_invoice_linkobject or nullOptional
noteslist of strings or nullOptional
custom_fieldslist of objects or nullOptional
creditobject or nullOptional
reprocessobjectOptional
used_tax_registrationobject or nullOptional
The tax registrations that are used to calculate the tax for this invoice. If empty, the billing entity was used
linked_integrationslist of objects or nullOptional
billing_typeenum or nullOptional
Allowed values:
paidboolean or nullOptionalDeprecated
linked_invoices_idslist of stringsOptionalDeprecated

Can currently only be used for ‘ONE_OFF_CREDIT’ invoices, indicates original invoices that this invoice links to

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
invoice_numberstring or nullRead-only
purchase_order_numberstring or null
platform_idstring or nullRead-only
customer_idstring or null

id of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

customer_referencestring or nullformat: "^\S+$"0-256 characters

reference of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

sales_tax_percentagestring or null

Sales tax percentage. Needs to be present if both customer and billing entity are US-based. Optional if one of them is US-based

customerobject or null
billing_entityobject or null
statusstring
on_holdboolean
typeenum
Allowed values:
created_atstring or nullRead-only
updated_atstring or nullRead-only
invoice_datedatetime
delivery_datestring or nullRead-only
due_datedatetime or null
billing_period_datestring or nullRead-only
billing_currencystring or nullRead-only
invoice_amount_including_taxobject or null
open_invoice_amountobject or null
closed_invoice_amountobject or null
paid_invoice_amountobject or null
timezonestring or nullRead-only
billing_periodobject or null
pricing_plan_subscription_idslist of strings or nullRead-only
pricing_amount_typeenum
Indicates whether the amounts provided, e.g. from the pricing plan, are including or excluding tax.
Allowed values:
periodslist of objects
Periods that are applicable for this invoice, use either periods or groups for summation, groups will be removed in later version
closed_periodslist of objects or nullRead-only
tax_categorieslist of objects or nullRead-only
tax_summaryobject or null
dunning_actionslist of objects or nullRead-only
payment_acceptor_idslist of strings
payment_actionslist of objects or nullRead-only
pay_invoice_linkobject or null
noteslist of strings or null
linked_invoiceslist of objects or nullRead-only
custom_fieldslist of objects or null
other_custom_fieldslist of objects or nullRead-only
creditobject or null
e_invoiceslist of objects or nullRead-only
used_exchange_rateslist of objects or nullRead-only
processing_only_customerslist of objects or nullRead-only
meter_valueslist of objects or nullRead-only
credit_typeslist of objects or nullRead-only
display_invoice_sub_lines_per_processing_only_customerboolean or nullRead-only
forwarded_from_customerslist of objects or nullRead-only
validation_resultlist of objects or nullRead-only
reprocessobject
used_tax_registrationobject or null
The tax registrations that are used to calculate the tax for this invoice. If empty, the billing entity was used
footnotestring or nullRead-only
Footnote to be shown on the invoice
approval_statusenum or nullRead-only
Approval status for invoices that are associated with an approval request
Allowed values:
updated_to_final_atstring or nullRead-only
The invoice finalization date
has_usage_based_pricingboolean or nullRead-only
couponslist of objects or nullRead-only
Coupons applied to this invoice
promotion_codeslist of objects or nullRead-only
Promotion codes applied to this invoice
linked_integrationslist of objects or null
billing_typeenum or null
Allowed values:
payment_statusenum or nullRead-only
Allowed values:
paidboolean or nullDeprecated
auto_rescueslist of objects or nullRead-onlyDeprecated
linked_invoices_idslist of stringsDeprecated

Can currently only be used for ‘ONE_OFF_CREDIT’ invoices, indicates original invoices that this invoice links to

to_be_reprocessedboolean or nullRead-onlyDeprecated
to_be_reprocessed_atstring or nullRead-onlyDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error